summaryrefslogtreecommitdiffstats
path: root/maven/nativewindow.pom.sh
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2013-07-11 12:10:20 +0000
committerMark Raynsford <[email protected]>2013-07-11 12:10:20 +0000
commit28f86e2b0395f3cd761df904176219bb18f7731e (patch)
tree0197d92b09bd221e3eeb63ba57c214c9bf537010 /maven/nativewindow.pom.sh
parent82ff1aa59ee4d3573965068c7035370a71f59b33 (diff)
Deploy atomic jar files via newt, gluegen, nativewindow, and jogl packages.
Diffstat (limited to 'maven/nativewindow.pom.sh')
-rwxr-xr-xmaven/nativewindow.pom.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/maven/nativewindow.pom.sh b/maven/nativewindow.pom.sh
new file mode 100755
index 0000000..d595a85
--- /dev/null
+++ b/maven/nativewindow.pom.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by nativewindow.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jogl</groupId>
+ <artifactId>nativewindow</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOGL</name>
+ <description>Java™ Binding for the OpenGL® API (Native window atomic jar files)</description>
+ <url>http://jogamp.org/jogl/www/</url>
+
+EOF
+
+cat nativewindow.pom.in || exit 1
+cat <<EOF
+</project>
+EOF